Bug 1020521 - mongodb environment variables not showing up on scaled applications
mongodb environment variables not showing up on scaled applications
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jhon Honce
libra bugs
: SupportQuestion
Depends On:
  Show dependency treegraph
Reported: 2013-10-17 16:02 EDT by Corey Daley
Modified: 2015-05-14 19:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-23 22:25:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Corey Daley 2013-10-17 16:02:35 EDT
Description of problem:
mongodb environment variables not showing up on scaled applications
might also be affecting Java applications...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create php application
2.add mongo db
3. variables show up using ssh, but not via web application


Actual results:
mongo environment variables are not present

Expected results:
mongo env variables should be present

Additional info:
Comment 1 Jhon Honce 2013-10-17 16:06:29 EDT
Was the application restarted between steps #2 and #3 so the jvm processes could pick up the new environment variables?
Comment 2 Corey Daley 2013-10-17 16:08:54 EDT
I have restarted the PHP application that I am testing on, I will ask the user if they have on their JAVA application.
Comment 3 Jhon Honce 2013-10-17 17:04:08 EDT
The PHP cartridge is implemented to use httpd restart for a better user experience, so a rhc stop/rhc start is required between steps #2 and #3 to pick up the environment variable changes.

The jboss cartridges do a stop/start for their restart, so rhc restart should be sufficient between steps #2 and #3.
Comment 4 Meng Bo 2013-10-21 05:53:40 EDT
Tested on devenv_3921 with jbossas app, after app restart the new added env can be detected by jsp script.

Note You need to log in before you can comment on or make changes to this bug.